# Uses of Class
io.dapr.client.domain.GetBulkSecretRequest

Packages that use GetBulkSecretRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of GetBulkSecretRequest in io.dapr.client

Methods in io.dapr.client with parameters of type GetBulkSecretRequest
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Map<String,Map<String,String>>>`
DaprClient.`getBulkSecret(GetBulkSecretRequest request)`
Fetches all secrets from the configured vault.
`reactor.core.publisher.Mono<Map<String,Map<String,String>>>`
DaprClientImpl.`getBulkSecret(GetBulkSecretRequest request)`
Fetches all secrets from the configured vault.

## Uses of GetBulkSecretRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return GetBulkSecretRequest
Modifier and Type
Method
Description
`GetBulkSecretRequest`
GetBulkSecretRequest.`setMetadata(Map<String,String> metadata)`